const db = require('../models');
const Item = db.items;

// GET - /item/add
exports.getAdd = async function (req, res) {
  res.render('item/add.twig');
};

// POST - /item/add
exports.postAdd = async function (req, res) {
  const item = await Item.create({
    name: req.body.item_name,
    manufacturer: req.body.item_manufacturer,
    type: req.body.item_type,
  });

  console.log(`Saved item ${item.name} to the database.`);

  res.redirect('/');
};
